Skip to main content
`Ctrl`+`K`

# pandas.Index.join

final Index.join(other, *, how='left', level=None, return_indexers=False, sort=False)

  Compute join_index and indexers to conform data structures to the new index.

  Parameters:
    other Index
    how{‘left’, ‘right’, ‘inner’, ‘outer’}
    level int or level name, default None
    return_indexers bool, default False
    sort bool, default False

      Sort the join keys lexicographically in the result Index. If False, the order of the join keys depends on the join type (how keyword).

  Returns:
    join_index, (left_indexer, right_indexer)

  Examples

      >>> idx1 = pd.Index([1, 2, 3])
      >>> idx2 = pd.Index([4, 5, 6])
      >>> idx1.join(idx2, how='outer')
      Index([1, 2, 3, 4, 5, 6], dtype='int64')